﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;
using Microsoft.Extensions.Configuration;
using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace DAL.Contexts
{
    public class DesignTimeDbContextFactory : IDesignTimeDbContextFactory<SirketContext>
    {
        public SirketContext CreateDbContext(string[] args)
        {
            DbContextOptionsBuilder<SirketContext> builder = new DbContextOptionsBuilder<SirketContext>();
            IConfiguration config = new ConfigurationBuilder()
                .SetBasePath(Path.Combine(Directory.GetCurrentDirectory(), "../NTierDependencyInjection"))
                .AddJsonFile("appsettings.json")
                .Build();
            builder.UseSqlServer(config.GetConnectionString("SQLProvider"));
            return new SirketContext(builder.Options);
        }
    }
}
